.contact__parent {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 56px;
    height: 56px;
    border-radius: var(--border-radius-btn);
    position: fixed;
    right: 17px;
    bottom: 40px;
    z-index: 4;
    text-decoration: none;
    font-family: IranSans;
}
.contact__parent::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 68px;
    height: 68px;
    background: #009FFF;
    transform: translate(-50%, -50%);
    border-radius: var(--border-radius-btn);
    z-index: -1;
	opacity: 0.16;
}

.contact__img {
    width: 50px;
    height: 50px;
    display: inline-block;
}

.contact__parent--texts {
    color: #fff;
    display: flex;
    flex-direction: row-reverse;
    flex-wrap: nowrap;
    align-items: center;
    gap: 10px;
    justify-content: flex-start;
    position: absolute;
    right: -2px;
    transition: all .3s ease;
    animation: change_text 5s infinite;
	direction: ltr;
}
.contact__parent--text {
    font-weight: 500;
    text-align: center;
    font-size: 12px;
    width: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2px;
}
.contact__parent--text img{
    width: 80%;
    height: 80%;
}
.contact__parent--holder_texts {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    border-radius: var(--border-radius-btn);
	background-image: linear-gradient(315.54deg, #12B1D1 4.46%, #2563EB 99.12%);
}

/* RESPONSIVE */
@media (max-width: 800px) {
    .contact__parent {
        bottom: 20px;
    }
}

@keyframes change_text{
	0% {
		right: -2px;
	}
	20% {
		right: -2px;
	}
	25% {
		right: -72px;
	}
	45% {
		right: -72px;
	}
	50% {
		right: -142px;
	}
	70% {
		right: -142px;
	}
	75% {
		right: -212px;
	}
	95% {
		right: -212px;
	}
}